GET checks/{checkId}/metadata
Gets a check's metadata
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Returns
Returns check's metadata.Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/12345/metadata?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
Check metadata
{
"id": 6789,
"guid": "e99ff7fb-d614-4518-9de2-9a9cedad6090",
"name": "Check sample",
"metadata": {
"created": {
"user_name": "user1",
"timestamp_utc": "2024-09-27T22:22:04"
},
"last_updated": {
"user_name": "user3",
"timestamp_utc": "2024-09-27T22:22:04"
}
}
}
| Name | Type | Description |
|---|---|---|
| id | Integer | The numeric identifier of the check. |
| guid | String | The GUID of the check. |
| name | String | The name of the check. |
| metadata | Object | The check metadata. |
| created | Object | The check creation info. |
| user_name | String | User name. |
| timestamp_utc | DateTime | Timestamp in UTC. |
| last_updated | Object | The check last update info. |
| user_name | String | User name. |
| timestamp_utc | DateTime | Timestamp in UTC. |